
*** 	This program will read in a tab-delimited text file      	***.
*** 	and create a SPSS data file  -- assign variable labels 	***.
***                                                                            		***.
*** 	You will need to EDIT this code!  Please check all       	***.
*** 	FILE= Statements.                    				***.
***                                                          			***.
*** 	Modify the paths below to point to the path location    	***.
*** 	of your data file.                                       		***.
***                                                          			***.
*** 	The specified subdirectory was not created on           	***.
*** 	your computer. You will need to do this.                 	***.
***                                                          			***.
*** 	This read program must be run against the specified  	***.
*** 	data file.  This file is specified in the program        	***.
*** 	and must be saved separately.                            	***.
***                                                          			***.
*** 	Code was written for SPSS,  Version 11.5.                 	***.
*** 	Variable labels can be longer than 60 characters.         	***.
***                                                          			***.
*** Note:  The following variables names were modified from the
    online file layout to adhere to SPSS naming conventions 
      _19H --- F_19H
      _21F --- F_21F
      _31F --- F_31F
      _41F --- F_41F
      _61V --- F_61V
      _66V --- F_66V  ***.

GET DATA  /TYPE = TXT
 /FILE = 'O:\Public Use\Survey Data\CCD\F33\FY90\version 1a\sdf901a.txt'
 /DELCASE = LINE
 /DELIMITERS = "\t"
 /ARRANGEMENT = DELIMITED
 /FIRSTCASE = 2
 /IMPORTCASE = ALL
 /VARIABLES =
LEAID A7
CENSUSID A9 
FIPST A2 
CONUM A5 
CMSA A6 
NAME A32 
STNAME A30 
STABBR A2 
SCHLEV A2 
YEAR A2 
V33 F8 
TOTALREV F8 
TFEDREV F8 
C25 F8 
C26 F8 
B26 F8 
TSTREV F8 
C23 F8 
C27 F8 
TLOCREV F8 
T02 F8 
T06 F8 
T09 F8 
T15 F8 
T40 F8 
T99 F8 
D11 F8 
D23 F8 
A09 F8 
A10 F8 
U22 F8 
U97 F8 
A12 F8 
C24 F8 
TOTALEXP F8 
TCURINST F8 
E13 F8 
TCURSSVC F8 
E17 F8 
E07 F8 
E08 F8 
E09 F8 
E15 F8 
E27 F8 
TCUROTH F8 
E11 F8 
E10A F8 
TNONELSE F8 
J10 F8 
J11 F8 
E10B F8 
J12 F8 
J13 F8 
J15 F8 
TCAPOUT F8 
F12 F8 
K12 F8 
G15 F8 
TCURELSC F8 
L12 F8 
M12 F8 
Q11 F8 
I86 F8 
Z32 F8 
Z33 F8 
F_19H F8 
F_21F F8 
F_31F F8 
F_41F F8 
F_61V F8 
F_66V F8 
W01 F8 
W31 F8 
W61 F8 
 WEIGHT F8
.
Variable labels
LEAID      "NCES 7-DIGIT LOCAL EDUCATION AGENCY ID"
CENSUSID   "CENSUS 9-DIGIT ID CODE"
FIPST      "FIPS STATE NUMBER"
CONUM      "FIPS COUNTY NUMBER"
CMSA       "CMSA CODE"
NAME       "NAME OF LOCAL EDUCATION AGENCY"
STNAME     "STATE NAME"
STABBR     "STATE ABBREVIATION"
SCHLEV     "SCHOOL LEVEL CODE"
YEAR       "YEAR OF DATA"
V33        "FALL MEMBERSHIP"
TOTALREV   "TOTAL REVENUE"
TFEDREV    "TOTAL FEDERAL REVENUE"
C25        "FEDERAL REVENUE - THRU STATE - CHILD NUTRITION ACT"
C26        "FEDERAL REVENUE - THRU STATE - ALL OTHERS"
B26        "FEDERAL REVENUE - DIRECT - FROM FEDERAL GOVT"
TSTREV     "TOTAL STATE REVENUE"
C23        "STATE REVENUE - DIRECT - FROM STATE GOVT"
C27        "STATE REVENUE - ON BEHALF OF SCHOOL SYSTEM"
TLOCREV    "TOTAL LOCAL REVENUE"
T02        "LOCAL REVENUE - PARENT GOVERNMENT CONTRIBUTIONS (DEPENDENT SCHOOL SYSTEMS)"
T06        "LOCAL REVENUE - PROPERTY TAXES"
T09        "LOCAL REVENUE - GENERAL SALES TAXES"
T15        "LOCAL REVENUE - PUBLIC UTILITY TAXES"
T40        "LOCAL REVENUE - INDIVIDUAL AND CORPORATE INCOME TAXES"
T99        "LOCAL REVENUE - ALL OTHER TAXES"
D11        "LOCAL REVENUE - FROM OTHER SCHOOL SYSTEMS"
D23        "LOCAL REVENUE - FROM CITIES AND COUNTIES"
A09        "LOCAL REVENUE - SCHOOL LUNCH"
A10        "LOCAL REVENUE - TUITION AND TRANSPORTATION"
U22        "LOCAL REVENUE - INTEREST EARNINGS"
U97        "LOCAL REVENUE - MISCELLANEOUS"
A12        "LOCAL REVENUE - OTHER SALES AND SERVICE"
C24        "NCES LOCAL REVENUE, CENSUS STATE REVENUE"
TOTALEXP   "TOTAL EXPENDITURES"
TCURINST   "TOTAL CURRENT EXPENDITURES - INSTRUCTION"
E13        "CURRENT EXPENDITURES - INSTRUCTION"
TCURSSVC   "TOTAL CURRENT EXPENDITURES - SUPPORT SERVICES"
E17        "CURRENT EXPENDITURES - SUPPORT SERVICES - PUPILS"
E07        "CURRENT EXPENDITURES - SUPPORT SERVICES - INSTRUCTIONAL STAFF"
E08        "CURRENT EXPENDITURES - SUPPORT SERVICES - GENERAL ADMINISTRATION"
E09        "CURRENT EXPENDITURES - SUPPORT SERVICES - SCHOOL ADMINISTRATION"
E15        "CURRENT EXPENDITURES - SUPPORT SERVICES - NONSPECIFIED"
E27        "CURRENT EXPENDITURES - SUPPORT SERVICES - OTHER"
TCUROTH    "TOTAL CURRENT EXPENDITURES - OTHER ELEMENTARY/SECONDARY"
E11        "CURRENT EXPENDITURES - FOOD SERVICES"
E10A       "SUBSET OF E10 IMPUTED TO TCUROTH"
TNONELSE   "TOTAL NON-ELEMENTARY/SECONDARY EXPENDITURES"
J10        "STATE PAYMENT ON BEHALF - RETIREMENT SYSTEM - OTHER"
J11        "TRANSFER TO OWN RETIREMENT SYSTEM - SUPPORT SERVICES"
E10B       "SUBSET OF E10 IMPUTED TO TNONELSE"
J12        "TRANSFER TO OWN RETIREMENT SYSTEM - INSTRUCTION"
J13        "STATE PAYMENT ON BEHALF - RETIREMENT SYSTEM - INSTRUCTION"
J15        "STATE PAYMENT ON BEHALF - RETIREMENT SYSTEM - SERVICES"
TCAPOUT    "TOTAL CAPITAL OUTLAY EXPENDITURE"
F12        "CAPITAL OUTLAY - CONSTRUCTION"
K12        "CAPITAL OUTLAY - NEW AND REPLACEMENT EQUIPMENT"
G15        "CAPITAL OUTLAY - LAND AND EXISTING STRUCTURES"
TCURELSC   "TOTAL CURRENT EXPENDITURES FOR ELEMENTARY/SECONDARY EDUCATION"
L12        "PAYMENTS TO STATE GOVERNMENTS"
M12        "PAYMENTS TO LOCAL GOVERNMENTS"
Q11        "PAYMENTS TO OTHER SCHOOL SYSTEMS"
I86        "INTEREST ON DEBT"
Z32        "TOTAL SALARIES"
Z33        "SALARIES - INSTRUCTION"
F_19H       "LONG TERM DEBT - OUTSTANDING AT BEGINNING OF FISCAL YEAR"
F_21F       "LONG TERM DEBT - ISSUED DURING FISCAL YEAR"
F_31F       "LONG TERM DEBT - RETIRED DURING FISCAL YEAR"
F_41F       "LONG TERM DEBT - OUTSTANDING AT END OF FISCAL YEAR"
F_61V       "SHORT TERM DEBT - OUTSTANDING AT BEGINNING OF FISCAL YEAR"
F_66V       "SHORT TERM DEBT - OUTSTANDING AT END OF FISCAL YEAR"
W01        "ASSETS - SINKING FUND"
W31        "ASSETS - BOND FUND"
W61        "ASSETS - OTHER FUNDS"
WEIGHT     "WEIGHT".
CACHE.
EXECUTE.

Save outfile 'O:\Public Use\Survey Data\CCD\F33\FY90\version 1a\Sdf901a.SAV'/COMPRESSED.


